Summary:     A utility to decode Linux kernel oopses
Name:        ksymoops
Version:     2.4.9
Release:     2.pp
License:     GPL
Group:       System Environment/Console
Source0:     ftp://www.kernel.org/pub/linux/utils/kernel/%{name}/v2.4/%{name}-%{version}.tar.bz2
URL:         ftp://www.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc kernel >= 2.4.26
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel kernel >= 2.4.26 binutils >= 2.14 perl
ExclusiveOS: linux


%description
Ksymoops reads a Linux kernel oops file and makes the best stab at
converting the code to instructions and mapping addresses to kernel
symbols.


%prep
%setup -q
perl -pi -e "s,/usr/src/linux/System.map,/boot/System.map-*r,g" Makefile


%build
export CFLAGS="$RPM_OPT_FLAGS"
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	INSTALL_PREFIX=$RPM_BUILD_ROOT/usr           \
	INSTALL_MANDIR=$RPM_BUILD_ROOT/usr/share/man \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changelog COPYING INSTALL README*
/usr/bin/*
/usr/share/man/man8/*


%changelog
* Thu May 06 2004 peter.pramberger@1012surf.net
- created

